Package be.ehealth.businessconnector.therlink.builders.impl

# Class ProofBuilderImpl

java.lang.Object
be.ehealth.businessconnector.therlink.builders.impl.ProofBuilderImpl

All Implemented Interfaces:
  `ProofBuilder`

public class ProofBuilderImpl extends Object implements ProofBuilder
Implementation of `ProofBuilder` that make possible to define the appropriate signature algorithm.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProofBuilderImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Proof`
  `createProofForEidReading()`
  Creates a `Proof` for eID reading
  `Proof`
  `createProofForEidSigning(Credential cred)`
  Creates a `Proof` for eID signing, with default SHA256 signature algorithm.
  `Proof`
  `createProofForEidSigning(Credential cred, String signatureAlgorithm)`
  Creates a `Proof` for eID signing, with supplied signature algorithm.
  `Proof`
  `createProofForIsiReading()`
  Creates a `Proof` for Sis reading
  `Proof`
  `createSimpleProof(String proofType)`
  creates a simple `Proof` for a given kmehr proof type.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProofBuilderImpl

    public ProofBuilderImpl()

- ## Method Details

  - ### createProofForEidSigning

    public Proof createProofForEidSigning(Credential cred) throws TherLinkBusinessConnectorException
    Description copied from interface: `ProofBuilder`
    Creates a `Proof` for eID signing, with default SHA256 signature algorithm. Requires the eID card of the patient connected.
    Specified by:
      `createProofForEidSigning` in interface `ProofBuilder`
    Throws:
      `TherLinkBusinessConnectorException`

  - ### createProofForEidSigning

    public Proof createProofForEidSigning(Credential cred, String signatureAlgorithm) throws TherLinkBusinessConnectorException
    Description copied from interface: `ProofBuilder`
    Creates a `Proof` for eID signing, with supplied signature algorithm. Requires the eID card of the patient connected.
    Specified by:
      `createProofForEidSigning` in interface `ProofBuilder`
    Throws:
      `TherLinkBusinessConnectorException`

  - ### createProofForEidReading

    public Proof createProofForEidReading()
    Description copied from interface: `ProofBuilder`
    Creates a `Proof` for eID reading
    Specified by:
      `createProofForEidReading` in interface `ProofBuilder`

  - ### createProofForIsiReading

    public Proof createProofForIsiReading()
    Description copied from interface: `ProofBuilder`
    Creates a `Proof` for Sis reading
    Specified by:
      `createProofForIsiReading` in interface `ProofBuilder`
    See Also:
      - `ProofBuilder.createProofForIsiReading()`

  - ### createSimpleProof

    public Proof createSimpleProof(String proofType)
    Description copied from interface: `ProofBuilder`
    creates a simple `Proof` for a given kmehr proof type. The proof will only contain the proofType , which is now an extendable kmehr code.
    Specified by:
      `createSimpleProof` in interface `ProofBuilder`
    Parameters:
      `proofType` - String
    Returns:
      Proof with the given type.
    See Also:
      - `()`